| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions
Tp::FunctorCaller2< Functor, R, Arg1, Arg2 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/callbacks.h>`

Inherits Tp::BaseFunctorCaller< FunctorCaller2< Functor, R, Arg1, Arg2 >, Functor >.

List of all members.

## Public Types

- typedef R ResultType
- typedef R(* InvokeType )(AbstractFunctorCaller *, Arg1, Arg2)

## Public Member Functions

- FunctorCaller2 (const Functor &functor)

## Static Public Member Functions

- static ResultType invoke (AbstractFunctorCaller *call, Arg1 a1, Arg2 a2)

### template<class Functor, class R, class Arg1, class Arg2>
struct Tp::FunctorCaller2< Functor, R, Arg1, Arg2 >

## Member Typedef Documentation

template<class Functor , class R , class Arg1 , class Arg2 >

typedef R Tp::FunctorCaller2< Functor, R, Arg1, Arg2 >::ResultType

template<class Functor , class R , class Arg1 , class Arg2 >

typedef R(* Tp::FunctorCaller2< Functor, R, Arg1, Arg2 >::InvokeType)(AbstractFunctorCaller *, Arg1, Arg2)

## Constructor & Destructor Documentation

template<class Functor , class R , class Arg1 , class Arg2 >

Tp::FunctorCaller2< Functor, R, Arg1, Arg2 >::FunctorCaller2 | ( | const Functor & | functor | ) | `[inline, explicit]`

## Member Function Documentation

template<class Functor , class R , class Arg1 , class Arg2 >

static ResultType Tp::FunctorCaller2< Functor, R, Arg1, Arg2 >::invoke | ( | AbstractFunctorCaller * | call,
|  | Arg1 | a1,
|  | Arg2 | a2
| ) |  | `[inline, static]`